package com.ibm.oti.connection.file;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2003, 2004  All Rights Reserved
 */

public class Util {

	/** System dependant file separator String. The initial value
	 * of this field is the System property "file.separator".
	 */
	private static String seperator;

	public static void init() {

	 try {
	 	com.ibm.oti.vm.VM.loadLibrary("fileconn");
	 } catch (java.io.IOException ex) {}
	}

	static String getSeparator (){
		final String seperatorTemp = System.getProperty("file.separator");

		if ((seperatorTemp==null) || (seperatorTemp.equals("")))
			seperator = "/";
		else
			seperator = seperatorTemp;
		return seperator;
	}

   /**
	* Answers a file path that represents the directory location for record Stores.
	*/
	static String getStorePath() {
		StringBuffer storePath = new StringBuffer();

		String userHome = System.getProperty("user.home");

		if (userHome ==null)
			return "";
		storePath.append(userHome);
		if (!userHome.endsWith(seperator))
			storePath.append(seperator);
		storePath.append("recordStores");
		return storePath.toString().toLowerCase();
	}
}
