package com.ibm.oti.connection.file;

import java.security.AccessController;
import java.security.PrivilegedAction;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2003, 2004  All Rights Reserved
 */

public class Util {

	/** System dependant file separator String. The initial value
	 * of this field is the System property "file.separator".
	 */
	private static String seperator;

	public static void init() {

		try {
			System.loadLibrary("fileconn");
		} catch (UnsatisfiedLinkError err) {}
	}

	static String getSeparator (){
		seperator = (String)AccessController.doPrivileged(new PrivilegedAction() {
			public Object run() {
				return System.getProperty("file.separator","\\");
			}});
		return seperator;
	}

   /**
	* Answers a file path that represents the directory location for record Stores.
	*/
	static String getStorePath() {
		StringBuffer storePath = new StringBuffer();

		String userHome = (String)AccessController.doPrivileged(new PrivilegedAction() {
			public Object run() {
				return System.getProperty("user.home");
			}});

		if (userHome ==null)
			return "";
		storePath.append(userHome);
		if (!userHome.endsWith(seperator))
			storePath.append(seperator);
		storePath.append("recordStores");
		return storePath.toString().toLowerCase();
	}
}
